View Issue Details

IDProjectCategoryView StatusLast Update
12826Bug reports[All Projects] _ Unknownpublic2018-02-09 17:02
ReporterbilldacatAssigned Toc_schmitz 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.0.0-rc.x 
Target VersionFixed in Version3.1.x 
Summary12826: Upgrade third-party library Spreadsheet_Excel_Writer
Description

Library currently uses split() which is potentially unsafe and split() is actually removed entirely in PHP 7, which will cause a fatal crash.

Problem exists in the 2.x and 3.x branches.

Additional Information

New library using explode instead can be found here: https://pear.php.net/package/Spreadsheet_Excel_Writer/download/

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.0 rc1
I will donate to the project if issue is resolvedNo
Browser
Database & DB-VersionMysql
Server OS (if known)Linux
Webserver software & version (if known)Apache
PHP Version5.3

Activities

c_schmitz

c_schmitz

2018-02-09 17:02

administrator   ~46373

Version 3.3.0 released

Issue History

Date Modified Username Field Change
2017-10-26 16:14 billdacat New Issue
2018-01-25 16:26 c_schmitz Assigned To => c_schmitz
2018-01-25 16:26 c_schmitz Status new => resolved
2018-01-25 16:26 c_schmitz Resolution open => fixed
2018-01-25 16:26 c_schmitz Fixed in Version => 3.1.x
2018-02-09 17:02 c_schmitz Note Added: 46373
2018-02-09 17:02 c_schmitz Status resolved => closed